Skip to main content
GET
/
v1
/
billing
/
credits
Credits balance
curl --request GET \
  --url https://api.example.com/v1/billing/credits \
  --header 'Authorization: <authorization>'

Overview

Returns the current credit balances for your tenant. Credits supplement plan quotas — when your monthly quota is exhausted, operations draw from your credit balance. Required role: admin or member

Request headers

Authorization
string
required
JWT Bearer token. Format: Bearer <your-jwt>.

Response

Returns 200 OK.
{
  "credits": {
    "investigations": {
      "balance": 250,
      "unit": "investigations",
      "lastPurchasedAt": "2024-03-15T10:00:00Z"
    },
    "events": {
      "balance": 50000,
      "unit": "events",
      "lastPurchasedAt": "2024-03-15T10:00:00Z"
    }
  },
  "checkedAt": "2024-04-01T14:30:00Z"
}
FieldTypeDescription
credits.investigations.balanceintegerRemaining investigation credits
credits.events.balanceintegerRemaining event ingestion credits
credits.*.lastPurchasedAtstringISO 8601 timestamp of the last credit purchase. null if never purchased

Error responses

StatusError codeDescription
401unauthorizedMissing or invalid JWT
403forbiddenCaller lacks required role

Examples

curl https://api.causeflow.ai/v1/billing/credits \
  -H "Authorization: Bearer eyJhbGc..."

Purchase credits

Buy additional investigation or event credits

Usage

View detailed usage and burn rate